Prophet::App(3pm)

NAME
Prophet::App

SYNOPSIS

METHODS

  BUILD

  default_replica_type
Returns a string of the the default replica type for this application.

  local_replica_url
Returns the URL of the current local replica. If no URL has been provided (usually via $ENV{PROPHET_REPO}), returns undef.

  require

  try_to_require

  _require

  already_required class
Helper function to test whether a given class has already been require'd.

log $MSG

Logs the given message to "STDERR" (but only if the "PROPHET_DEBUG" environmental variable is set).

  log_fatal $MSG
Logs the given message and dies with a stack trace.

  display_name_for_replica UUID
Returns a "friendly" id for the replica with the given uuid. UUIDs are for computers, friendly names are for people. If no name is found, the friendly name is just the UUID.